"use strict";

const path = require( "path" );
const kept = require( "kept" );
const checkPublishedNpmModule = require( "check-published-npm-module" );

const checkIfNpmModule = function checkIfNpmModule( option ) {

	option = option || { };

	let currentWorkingDirectory = process.cwd( );

	let packageJsonPath = path.resolve( currentWorkingDirectory, "package.json" );

	let packageJsonExist = kept( packageJsonPath, READ, true );

	let isNpmModule = false;

	let isPublished = false;

	if( packageJsonExist === true ) {

		isNpmModule = true;

	}

	isPublished = checkPublishedNpmModule( );

	return isNpmModule;

};

module.exports = checkIfNpmModule;
